org.springframework.web.jsf

## Class SpringBeanVariableResolver

- java.lang.Object
- - javax.faces.el.VariableResolver
  - - org.springframework.web.jsf.DelegatingVariableResolver
    - - org.springframework.web.jsf.SpringBeanVariableResolver

Deprecated.
as of Spring 3.2, in favor of the JSF 1.2 based `SpringBeanFacesELResolver`

    @Deprecated
    public class SpringBeanVariableResolver
    extends DelegatingVariableResolver

This is a subclass of the JSF 1.1 `DelegatingVariableResolver`, letting Spring bean definitions override other attributes of the same name.

The main purpose of this class is to provide behavior that is analogous to the JSF 1.2 `SpringBeanFacesELResolver`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `WebApplicationContextVariableResolver`, `FacesContextUtils.getRequiredWebApplicationContext(javax.faces.context.FacesContext)`

### Field Summary

### Fields inherited from class org.springframework.web.jsf.DelegatingVariableResolver

`logger, originalVariableResolver`

### Constructor Summary

Constructors
Constructor and Description
`SpringBeanVariableResolver(VariableResolver originalVariableResolver)` Deprecated.

### Method Summary

Methods
`Object` `resolveVariable(FacesContext facesContext, String name)` Deprecated. Delegate to the original VariableResolver first, then try to resolve the variable as Spring bean in the root WebApplicationContext.

### Methods inherited from class org.springframework.web.jsf.DelegatingVariableResolver

`getBeanFactory, getOriginalVariableResolver, getWebApplicationContext, resolveOriginal, resolveSpringBean`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpringBeanVariableResolver

    public SpringBeanVariableResolver(VariableResolver originalVariableResolver)

Deprecated.

### Method Detail

#### resolveVariable

    public Object resolveVariable(FacesContext facesContext,
                         String name)
                           throws EvaluationException

Deprecated.
Description copied from class: `DelegatingVariableResolver`
Delegate to the original VariableResolver first, then try to resolve the variable as Spring bean in the root WebApplicationContext.

Overrides:
  `resolveVariable` in class `DelegatingVariableResolver`
Throws:
  `EvaluationException`